rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs
rpmdb/rpmtypes.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct rpmts_s * | rpmts
| The RPM Transaction Set.
typedef struct Spec_s * | Spec
typedef struct rpmds_s * | rpmds
| Dependency tag sets from a header, so that a header can be discarded early.
typedef struct rpmPRCO_s * | rpmPRCO
| Container for commonly extracted dependency set(s).
typedef struct rpmte_s * | rpmte
| An element of a transaction set, i.e.
typedef struct rpmdb_s * | rpmdb
| Database of headers and tag value indices.
typedef struct rpmmi_s * | rpmmi
| Database iterator.
typedef struct rpmgi_s * | rpmgi
| Generalized iterator.
typedef struct rpmRelocation_s * | rpmRelocation

## Detailed Description

Definition in file rpmtypes.h.

## Typedef Documentation

typedef struct rpmRelocation_s* rpmRelocation

Definition at line 52 of file rpmtypes.h.